$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.46.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.46.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'CC5A3462E43A10433D7B559E101AC88C510870EE8300CBF4815BAD96E042EDBD'
  checksumType = 'sha256'
  checksum64 = 'CC5A3462E43A10433D7B559E101AC88C510870EE8300CBF4815BAD96E042EDBD'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.46-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
